Subject: bug#10124: 24.0.91; Choosing a remote file, when the current directory is remote too

From: Dani Moncayo <[email-masked]>
Date: Fri, 25 Nov 2011 11:53:45 +0100

> I do not use the latest snapshot, but the pretest version:
>
> In GNU Emacs 24.0.91.1 (i386-mingw-nt5.1.2600)
>  of 2011-10-31 on MARVIN
>
> Does this make a difference?

No, it doesn't.  (I've just repeated the recipe with that version).

At step #4, I see this in the minibuffer:
"Use file /usr@host:/path-2/file-2: /usr@host:/path-0//usr@host:/path-2/file-2"

That default path is wrong.

In this case, Emacs should give a correct default path, which could be
one of these two:
a. "/usr@host:/path-0///usr@host:/path-2/file-2" (with 3 "/" instead of 2).
b. "/usr@host:/path-0//path-2/file-2" (removing the second "/usr@host:").

-- 
Dani Moncayo